SELECT 
	*
FROM 
	Kalkulacija f
WHERE 
	f.arhiviran=1 AND f.storno= 0 AND f.iznos - f.stornoIznos - f.uplata <> 0 AND 
	((f.tip='KALKULACIJA' AND 
	(f.podtip='FAKTURA' OR f.podtip='POCETNO')) OR 
	f.tip='TROSAK' OR 
	f.tip='RACUN_DOBAVLJACA' OR 
	f.tip='ZAPISNIK_OTPREMNICE')
ORDER BY
	f.rbrdok